import { FrameworkDetector, ScanContext, RouteBinding } from '../../types.js';

declare class FlaskDetector implements FrameworkDetector {
    readonly name = "flask";
    readonly language = "python";
    readonly filePattern: RegExp;
    private bpPrefixes;
    detect(projectRoot: string, files: string[]): Promise<boolean>;
    extractRoutes(filePath: string, content: string, ctx: ScanContext): Promise<RouteBinding[]>;
}

export { FlaskDetector };
